function EipModuleFirstPage()
{
  this.ChangeLanDevice = function(that){EipModuleFirstPage.prototype._ChangeLanDevice_(that);};
  this.ChannelTick  = function(ModuleName, number){EipModuleFirstPage.prototype._ChannelTick_(ModuleName, number);};
  //建立資料
  var CreateEipSettingObject = function(number){EipModuleFirstPage.prototype._CreateEipSettingObject_(number);};
  var CreateEipVariableObject = function(number){EipModuleFirstPage.prototype._CreateEipVariableObject_(ChannelTick, number);};
  var CreateModuleFunction   = function(number){EipModuleFirstPage.prototype._CreateModuleFunction_(number);};
  var BuildEipModuleAllObject   = function(that){EipModuleFirstPage.prototype._BuildEipModuleAllObject_(that);};
  var BuildEipModuleObject   = function(ModuleName, number){EipModuleFirstPage.prototype._BuildEipModuleObject_(ModuleName, number);};

  //編碼
  var DeleteRepeatNumber     = function(number){EipModuleFirstPage.prototype._DeleteRepeatNumber_(number);};
  var UpdateNumber       = function(ObjectKey){EipModuleFirstPage.prototype._UpdateNumber_(ObjectKey);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){EipModuleFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){EipModuleFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){EipModuleFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){EipModuleFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //對話框
  this.CopyDialogEnabled  = function(Event){EipModuleFirstPage.prototype._CopyDialogEnabled_(Event);};
  this.CopyDialogDisabled = function(){EipModuleFirstPage.prototype._CopyDialogDisabled_();};
  
  this.ClearDialogEnabled  = function(Event){EipModuleFirstPage.prototype._ClearDialogEnabled_(Event);};
  this.ClearDialogDisabled = function(){EipModuleFirstPage.prototype._ClearDialogDisabled_();};
  //介面
  this.RedisplayUi       = function(){EipModuleFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetDeviceName   = function(){return EipModuleFirstPage.prototype._GetDeviceName_();};
  var GetAllDeviceName   = function(){return EipModuleFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return EipModuleFirstPage.prototype._GetAllNumber_();};
  //複製
  var CopyGlobalVariable = function(DeviceName, number){EipModuleFirstPage.prototype._CopyGlobalVariable_(DeviceName, number);};
  var CopyTickedModule   = function(){EipModuleFirstPage.prototype._CopyTickedModule_();};
  this.CopyModule        = function(){EipModuleFirstPage.prototype._CopyModule_();};
  //移除
  var RemoveGlobalVariable = function(DeviceName, number){EipModuleFirstPage.prototype._RemoveGlobalVariable_(DeviceName, number);};
  var RemoveTickedModule   = function(){EipModuleFirstPage.prototype._RemoveTickedModule_();};
  this.DeleteModule        = function(){EipModuleFirstPage.prototype._DeleteModule_();};
  this.ClearAllModule = function(that){EipModuleFirstPage.prototype._ClearAllModule_(that);};
  //判斷
  this.IsTickedModule = function(){return EipModuleFirstPage.prototype._IsTickedModule_();};
  //載入
  var LoadLanName = function(){EipModuleFirstPage.prototype._LoadLanName_();};
  //初始化
  var InitializationGlobalVariable = function(){EipModuleFirstPage.prototype._InitializationGlobalVariable_();};
  this.Initialization = function(){EipModuleFirstPage.prototype._Initialization_();};
  //檢查
  var CheckEipModuleQuantity = function(){return EipModuleFirstPage.prototype._CheckEipModuleQuantity_();};

  //Save
  var SaveModuleSetting = function(Result){EipModuleFirstPage.prototype._SaveModuleSetting_(Result);};
  var SaveConvertSetting = function(Result){EipModuleFirstPage.prototype._SaveConvertSetting_(Result);};
  this.SaveDataLayerAndServiceLayerVariables = function(Result){EipModuleFirstPage.prototype._SaveDataLayerAndServiceLayerVariables_(Result);};
  //按鈕
  this.ModuleAddNewRow  = function(that){EipModuleFirstPage.prototype._ModuleAddNewRow_(that);};
  this.EditButton = function(that){EipModuleFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){EipModuleFirstPage.prototype._SaveButton_(that);};
}











function EipModuleSecondPage()
{
  //var 表單確認函式
  this.CheckVariableName = function(that){EipModuleSecondPage.prototype._CheckVariableName_(that);};
  var GetTableVariableValue = function(that){return EipModuleSecondPage.prototype._GetTableVariableValue_(that);};
  var IsNameFormat = function(AllName, Name){return TcpModuleSecondPage.prototype._IsNameFormat_(Name);};
  var IsNameRepeat = function(AllName, Name){return TcpModuleSecondPage.prototype._IsNameRepeat_(AllName, Name);};
  

  //建立表單及設定
  this.CreatAndJoinFormSetting = function(NameType, channelIndex, number){EipModuleSecondPage.prototype._CreatAndJoinFormSetting_(NameType, channelIndex, number);};
  //改變規格模式
  this.ChangeModeSwitch = function(){EipModuleSecondPage.prototype._ChangeModeSwitch_();};
  //修改產品規格值
  var ModifyProductSpecificationsValue = function(ModuleName, channel){EipModuleSecondPage.prototype._ModifyProductSpecificationsValue_(ModuleName, channel);};
  
  //存檔
  var SaveChangeChannelValue = function(number){EipModuleSecondPage.prototype._SaveChangeChannelValue_(number);};

  this.CheckIP = function(that){EipModuleSecondPage.prototype._CheckIP_(that);};

  //介面
  var ClearForm = function(){EipModuleSecondPage.prototype._ClearForm_();};
  var ClearDataModelTable = function(){EipModuleSecondPage.prototype._ClearDataModelTable_();};
  var ClearTotalTable = function(){EipModuleSecondPage.prototype._ClearTotalTable_();};

  //按鈕
  this.ConfirmButton = function(that){EipModuleSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){EipModuleSecondPage.prototype._NoConfirmButton_();};
  //檢查
  this.CheckModuleName = function(that){EipModuleSecondPage.prototype._CheckModuleName_(that);};  
  //全域變數 或 物件
  var SetFormInitialValue = function(number){EipModuleSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){EipModuleSecondPage.prototype._SetInitialValue_(number);};
  
  var EipToOpcuaVariableSetting   = function(ModuleName, number){EipModuleFirstPage.prototype._EipToOpcuaVariableSetting_(ChannelTick, number);};
  var EipToMqttVariableSetting   = function(ModuleName, number){EipModuleFirstPage.prototype._EipToMqttVariableSetting_(ChannelTick, number);};
}